%define _name zynaddsubfx
%define mxml_ver 2.1
%def_with jack

Name: ZynAddSubFX
Version: 2.1.1
Release: alt0.5

Summary: %name is a realtime software synthesizer
Summary(ru_RU.KOI8-R): %name --   realtime-
Group: Sound
License: GPL
Url: http://%_name.sourceforge.net

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name-%version.tar.bz2
Source1: %name.png

%define fltk_ver 1.1
%define jack_ver 0.80.0

BuildPreReq: libfltk-devel >= %fltk_ver

%if_with jack
BuildPreReq: jackit-devel >= %jack_ver
%endif

BuildPreReq: mxml >= %mxml_ver

# Automatically added by buildreq on Mon Jan 17 2005
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ glib2 jackit-devel libalsa-devel libfftw3-devel libfltk-devel libstdc++-devel mxml pkgconfig zlib-devel

%description
%name is a realtime software synthesizer with many features, including
polyphony, multi-timbral and microtonal capabilities. It includes
randomness of some parameters, which makes warm sounds, like analogue
synthesizers.

%description -l ru_RU.KOI8-R
%name --    ,    
 .      
    "ԣ" ,  
  .

%package common
Summary: Common files for %name
Summary(ru_RU.KOI8-R):    %name
Group: Sound

%description common
%name is a realtime software synthesizer with many features, including
polyphony, multi-timbral and microtonal capabilities. It includes
randomness of some parameters, which makes warm sounds, like analogue
synthesizers.

This package contains common files for %name.

%description common -l ru_RU.KOI8-R
%name --    ,    
 .       
    "ԣ" , 
  .

     %name .

%package alsa
Summary: %name with ALSA MIDI input
Summary(ru_RU.KOI8-R): %name    MIDI  ALSA
Group: Sound
Provides: %name = %version-%release
Requires: %name-common = %version-%release
%if_with jack
Requires: jackd >= %jack_ver
%endif

%description alsa
%name is a realtime software synthesizer with many features, including
polyphony, multi-timbral and microtonal capabilities. It includes
randomness of some parameters, which makes warm sounds, like analogue
synthesizers.

This package contains %name compiled with ALSA MIDI input

%description alsa -l ru_RU.KOI8-R
%name --    ,    
 .       
    "ԣ" , 
  . 

   %name    MIDI  ALSA

%package oss
Summary: %name with OSS MIDI input
Summary(ru_RU.KOI8-R): %name    MIDI  OSS
Group: Sound
Provides: %name = %version-%release
Requires: %name-common = %version-%release

%description oss
%name is a realtime software synthesizer with many features, including
polyphony, multi-timbral and microtonal capabilities. It includes
randomness of some parameters, which makes warm sounds, like analogue
synthesizers. 

This package contains %name compiled with OSS MIDI input

%description oss -l ru_RU.KOI8-R
%name --    ,    
 .       
    "ԣ" , 
  .

   %name    MIDI  OSS.

%package programs
Summary: External programs from %name distribution
Summary(ru_RU.KOI8-R):    %name
Group: Sound

%description programs
This package contains programs, which can use with %name or any other
midi device.

%description programs -l ru_RU.KOI8-R
      %name.

%package examples
Summary: External programs from %name distribution
Summary(ru_RU.KOI8-R):   %name
Group: Sound
Requires: %name = %version-%release

%description examples
This package contains programs, which can use with %name or any other
midi device.

%description examples -l ru_RU.KOI8-R
     %name.

%prep
%setup -q -c -n %name-%version
%__mv %name-%version/{ExternalPrograms,presets,banks,examples,*.txt} ./

%__subst 's,clean\.sh,,' ExternalPrograms/*/compile.sh
%__mv %name-%version alsa-build
%__cp -r alsa-build oss-build

%__subst '/yes/d' */src/Makefile

%if_with jack
%__subst 's,\(LINUX_AUDIOOUT=\)OSS,\1JACK,' alsa-build/src/Makefile.inc
%endif

%__subst 's,\(LINUX_MIDIIN=\)ALSA,\1OSS,' oss-build/src/Makefile.inc

%build
for d in {alsa,oss}-build/src; do
    pushd $d
	%make "CXX=%__cc $RPM_OPT_FLAGS"
    popd
done

# build external programs
for d in ExternalPrograms/{Controller,Spliter}; do
    pushd $d
    ./compile.sh
    popd
done

%install
for n in alsa oss; do
    pushd $n-build/src 
    %__install -pD %_name %buildroot%_bindir/%_name-$n
    popd
done

# install external programs
pushd ExternalPrograms
%__install -pD Controller/controller %buildroot%_bindir/controller
%__install -pD Spliter/spliter %buildroot%_bindir/spliter
popd

# install examples, presets, banks
%__mkdir_p %buildroot%_datadir/%name
%__cp -r examples presets banks %buildroot%_datadir/%name

# menus
%__mkdir_p %buildroot%_menudir
%__cat <<__MENU__ > %buildroot%_menudir/%name
?package(%name-common): needs="x11" section="Multimedia/Sound/" \
title="%name" \
longtitle="Realtime software synthesizer" \
icon="%name.png"
__MENU__

%__cat <<__MENU_ALSA__ > %buildroot%_menudir/%name-alsa
?package(%name-alsa): needs="x11" section="Multimedia/Sound/%name" \
title="%name with ALSA MIDI input" longtitle="Realtime software synthesizer" \
command="%_bindir/%_name-alsa" icon="%name.png"
__MENU_ALSA__

%__cat <<__MENU_OSS__ > %buildroot%_menudir/%name-oss
?package(%name-oss): needs="x11" section="Multimedia/Sound/%name" \
title="%name with OSS MIDI input" longtitle="Realtime software synthesizer" \
command="%_bindir/%_name-oss" icon="%name.png"
__MENU_OSS__

#%__install -pD -m644 %SOURCE1 %buildroot%_datadir/pixmaps/%name.png

%post common
%update_menus
%postun common
%clean_menus

%post alsa
%update_menus
%postun alsa
%clean_menus

%post oss
%update_menus
%postun oss
%clean_menus

%files common
%dir %_datadir/%name
%_datadir/%name/*
%exclude %_datadir/%name/examples
#%_datadir/pixmaps/*
%_menudir/%name
%doc *.txt

%files alsa
%_bindir/%_name-alsa
%_menudir/%name-alsa

%files oss
%_bindir/%_name-oss
%_menudir/%name-oss

%files programs
%_bindir/controller
%_bindir/spliter
%doc ExternalPrograms/*.txt

%files examples
%_datadir/%name/examples

%changelog
* Fri Jan 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.5
- 2.1.1

* Sat Aug 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt0.5
- new version.

* Sun Aug 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt0.5
- 1.4.3

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.2-alt0.5
- 1.4.2
- summary, description by avp.

* Thu May 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.1-alt0.5
- 1.4.1

* Wed Apr 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.0-alt0.5
- 1.4.0

* Mon Apr 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt0.5
- 1.2.1

* Fri Mar 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt0.5
- First build for Sisyphus.

